Page MenuHomePhabricator

incorrect message when trying to move a move-protected page
Closed, ResolvedPublic

Description

Author: dannychia

Description:
When a non-admin user tries to move a move-protected page, they would get the message:

"This page has been protected to prevent editing."

Instead, it should be:

"This page has been protected to prevent moving." (Or, more accurately, ""This page has been protected such that only administrators can move it.")


Version: unspecified
Severity: normal

Details

Reference
bz40145

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:46 AM
bzimport set Reference to bz40145.
bzimport created this task.Sep 10 2012, 9:46 PM

[ Adding easy keyword, -enhancement +bug, low/normal priority ]

sumanah wrote:

Thanks for the bug report, Danny.

Found the relevant message via git grep -nE :

languages/messages/MessagesEn.php:1034:'protectedpagetext' => 'This page has been protected to prevent editing.',

So it sounds like either:

  • we should edit that message to something like "This page has been protected to prevent editing or moving" (but then what about deleting or other related actions?)

or

  • someone should add a new message in MessagesEn.php (maybe "moveprotectedpage" or a similar key name?) that says "This page has been protected to prevent editing or moving", and alter the relevant references to 'protectedpagetext' to use the new message.

Matthew submitted a patch in changeset Ia8a47858.

Change has been merged, resolving bug.

It might be a good idea to add another message in the future, as this would be clearer.

Change 125674 had a related patch set uploaded by Jackmcbarn:
Include action in permission error messages

https://gerrit.wikimedia.org/r/125674

I don't know why this was ever marked as fixed. It's not fixed.

Change 125674 merged by jenkins-bot:
Include action in permission error messages

https://gerrit.wikimedia.org/r/125674

Sounds actually fixed now.

TheDJ added a comment.Aug 18 2014, 4:22 PM

This might require updates to local and site specific MediaWiki messages to make use of it.